Installing DHIS2 on Ubuntu 20.04 LTS. PostgresSQL 12 or 10?

What do I change in the line below to install version PostgreSQL 12

PostgreSQL installation
sudo apt-get install postgresql-10 postgresql-contrib-10 postgresql-10-postgis-2.4

Is this change sufficient?

sudo apt-get install postgresql-12 postgresql-contrib-10 postgresql-10-postgis-2.4

Is that all?

KKTH


error, what do I change to make it work?, see picture

I have successfully installed Postgresql 12.

The current issue is installing postgis